out vec3 interpolatedNormal;
attribute vec4 skinIndex;
attribute vec4 skinWeight;

uniform mat4 bones[12];

void main(){
    interpolatedNormal = normal;
	
	gl_Position = projectionMatrix * modelViewMatrix *
                    ((skinWeight.x*bones[int(skinIndex.x)] + skinWeight.y*bones[int(skinIndex.y)] +
                    skinWeight.z*bones[int(skinIndex.z)] + skinWeight.w*bones[int(skinIndex.w)])*vec4(position,1.0));
}